Page MenuHomePhabricator

Why does $wgNotificationSender exist
Closed, ResolvedPublic

Description

Maybe someone else remembers why $wgNotificationSender exists.

	public static function registerExtension() {
		global $wgNotificationSender, $wgPasswordSender;

		$wgNotificationSender = $wgPasswordSender;
	}

Since it's unconditionally set to $wgPasswordSender, it's impossible to override. Why don't we just use $wgPasswordSender everywhere instead then?

Details

Related Gerrit Patches:

Event Timeline

Legoktm triaged this task as Medium priority.Jul 26 2018, 12:37 AM
Legoktm created this task.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 26 2018, 12:37 AM

Interesting. https://codesearch.wmflabs.org/search/?q=%5B%27%22g%5DNotificationSender&i=nope&files=&repos=

wmf-config/InitialiseSettings.php
17885'wmgNotificationSender' => [
17886	'default' => 'wiki@wikimedia.org',
17887	'enwiki' => 'no-reply-notifications@wikipedia.org',
wmf-config/CommonSettings.php
2749	$wgNotificationSender = $wmgNotificationSender;
2750	$wgNotificationSenderName = $wgSitename;

But:

$ mwscript eval.php --wiki enwiki
> echo $wmgNotificationSender;
no-reply-notifications@wikipedia.org

> echo $wgNotificationSender;
wiki@wikimedia.org
Catrope added a comment.EditedJul 28 2018, 11:46 PM

It looks like this was broken when Echo was converted to extension.json in rECHOd66771523c23: Add extension.json, empty PHP entry point

Change 454144 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Echo@master] Drop $wgNotificationSender, written to but never configurable

https://gerrit.wikimedia.org/r/454144

Catrope closed this task as Resolved.Aug 23 2018, 8:35 PM
Catrope claimed this task.

Change 454144 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Drop $wgNotificationSender, written to but never configurable

https://gerrit.wikimedia.org/r/454144